#ifndef _VIEWTUBE_VIEW_WEB_H
#define _VIEWTUBE_VIEW_WEB_H
#include "viewtube_model.h"

#define SERVER_LISTEN_PORT 8888
#define CLIENT_THREAD_COUNT 8

typedef struct {
    unsigned char thread_id;
    int socket_fd;
} viewtube_socket_thread_info_t;

void write_board_to_fd(int write_fd);
void start_web_view_server();
void stop_web_view_server();

#endif